services:
  joplin-server:
    image: ${JOPLIN_IMAGE}:${JOPLIN_TAG}
    container_name: ${JOPLIN_CONTAINER_NAME}
    restart: ${JOPLIN_RESTART_POLICY}
    security_opt:
      - no-new-privileges:true
    networks:
      - ${JOPLIN_NETWORk_ID}
#    ports:
#        - "22300:22300"
    environment:
      UID: ${UID:-1000}
      GID: ${GID:-1000}
      TZ: ${TZ}
    env_file:
      - path: ../env/joplin-srv.env
      - path: ../env/joplin-srv-db.env
